# getAllByWithCurrentPaging

inline fun < T , R > R . getAllByWithCurrentPaging (initialPagination: Pagination = FirstPagePagination(), block: R .( Pagination ) -> PaginationResult < T >): List < T >(source)

Retrieves all items from a paginated source using a receiver context, automatically moving to the next page until an empty page or the last page is reached. Uses current page pagination logic.

#### Return

A list containing all retrieved items from all pages

#### Parameters

initialPagination

The pagination to start with. Defaults to FirstPagePagination

block

Function that retrieves a page of results for the given pagination using the receiver context

#### Type Parameters

T

The type of items being retrieved

R

The receiver type